
use ESS_BCK_data, clear

label variable ipadvnt "Risk Aversion"
tab education, gen(edu)
label variable edu1 "Low Education"
label variable edu2 "Medium Education"
label variable edu3 "High Education"

tab irr_L1, gen(irrealis)
tab empl, gen(empl)
ta emplrel, gen(emplrel)

ta EduCatF, gen(EduCatF)
ta EduCatM, gen(EduCatM)
label variable EduCatF1 "Father Low Education"
label variable EduCatF2 "Father Medium Education"
label variable EduCatF3 "Father High Education"
label variable EduCatM1 "Mother Low Education"
label variable EduCatM2 "Mother Medium Education"
label variable EduCatM3 "Mother High Education"

ta irr_mother, gen(irr_mother)
ta irr_father, gen (irr_father)

* Number of observations with non-missing values in the explanatory variables used in table 3
egen nmis=rmiss2(RA_Dum irr_local AgeCat education hinctnt married hhsize trust goodh empl female emplrel conf_europe conm_europe fF1 fF2 fF3 fM1 fM2 fM3 L1fam1 L1fam2 L1fam3 nabslat_f nelevavg_f nrough_f ndistcr_f nlandlocked_f nkgatr_f nyst_f opten0lomean1500_aa_f ndife2_f optencycle0lomean1500nc_aa_f ndifc_f nabslat_m nelevavg_m nrough_m ndistcr_m nlandlocked_m nkgatr_m nyst_m opten0lomean1500_aa_m ndife2_m optencycle0lomean1500nc_aa_m ndifc_m EduCatM EduCatF essround cntry1)

ta fbrncnt if nmis==0&fbrncnt!=cntry //immigrant fathers come from 71 different countries
ta mbrncnt if nmis==0&mbrncnt!=cntry //immigrant mothers come from 68 different countries

ta language_father if nmis==0&fbrncnt!=cntry&language_father!=language_local //immigrant fathers speak 39 different languages
ta language_mother if nmis==0&fbrncnt!=cntry&language_mother!=language_local //immigrant mothers speak 38 different languages

* TABLE 15: summary statistics (calculated on non-missing observations from Table 3)
sutex ipadvnt RA_Dum irrealis1 irrealis2 irrealis3 irrealis4 irrealis5 Strong_IRR_L1 hinctnt edu1 edu2 edu3 trust married hhsize age female empl1 empl2 empl3 empl4 empl5 empl6 emplrel1 emplrel2 emplrel3 goodh EduCatM1 EduCatM2 EduCatM3 EduCatF1 EduCatF2 EduCatF3 irr_mother1 irr_mother2 irr_mother3 irr_mother4 irr_mother5 irr_father1 irr_father2 irr_father3 irr_father4 irr_father5 if nmis==0, lab nobs title ("ESS") minmax 

* TABLE 2, secton 3.1
ta RA_Cat irr_L1_cat, row 

* FIGURE 1
graph set window fontface "Times New Roman"

hist irr_local if RA_Cat!=., bcolor(gs4) barw(0.7) graphregion(color(gs15)) percent discrete xlabel(0(1)6) addlabels addlabopts(mlabformat(%9.2fc)) ylabel(0(10)50) xtitle("IRR") ytitle("%") ///
title("IRR (ESS data)", margin(b+2.5) color(black))
* FIGURE 2
hist irr_mother if RA_Cat!=., bcolor(gs4) graphregion(color(gs15)) barw(0.7) percent discrete xlabel(0(1)6) addlabels addlabopts(mlabformat(%9.2fc)) ylabel(0(10)50) xtitle("IRR") ytitle("%") ///
title("Mother IRR (ESS data)", margin(b+2.5) color(black))
* FIGURE 3
hist irr_father if RA_Cat!=., bcolor(gs4) graphregion(color(gs15)) barw(0.7) percent discrete xlabel(0(1)6) addlabels addlabopts(mlabformat(%9.2fc)) ylabel(0(10)50) xtitle("IRR") ytitle("%") ///
title("Father IRR (ESS data)", margin(b+2.5) color(black))

