
use ESS_BCK_data, clear


**socio-demographic variables**
global se_ AgeCat b1.education hinctnt married hhsize trust goodh b1.empl female b1.emplrel
global fam_f fF1 fF2 fF3 
global fam_m fM1 fM2 fM3
global faL1 L1fam1 L1fam2 L1fam3

**controls for Galor and Özak (2016)**
global galor3_f nabslat_f nelevavg_f nrough_f ndistcr_f nlandlocked_f nkgatr_f nyst_f opten0lomean1500_aa_f ndife2_f optencycle0lomean1500nc_aa_f ndifc_f 
global galor3_m nabslat_m nelevavg_m nrough_m ndistcr_m nlandlocked_m nkgatr_m nyst_m opten0lomean1500_aa_m ndife2_m optencycle0lomean1500nc_aa_m ndifc_m

//TABLE 3

set more off
logit RA_Dum irr_local $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_local AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m1

logit RA_Dum irr_mother $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_mother AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m2

logit RA_Dum irr_father $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_father AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m3

logit RA_Dum irr_father irr_mother irr_local $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_father irr_mother irr_local AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m4

logit RA_Dum Strong_IRRlocal $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or  
margins, dydx(Strong_IRRlocal AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m5

logit RA_Dum Strong_IRRm $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or  
margins, dydx(Strong_IRRm AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m6

logit RA_Dum Strong_IRRf $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(Strong_IRRf AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m7

logit RA_Dum Strong_IRRlocal Strong_IRRm Strong_IRRf $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or
margins, dydx(Strong_IRRlocal Strong_IRRm Strong_IRRf AgeCat female 0.education 2.education hinctnt married hhsize trust 2.empl 3.empl 4.empl 5.empl 6.empl 2.emplrel 3.emplrel goodh) predict(pr) post
est store m8

estout m1 m2 m3 m4 m5 m6 m7 m8, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels(* 0.1 ** 0.05 *** 0.01)  stats(N r2_p, star(chi2) fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant) posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) order(irr_local irr_mother irr_father Strong_IRRlocal Strong_IRRm Strong_IRRf)
drop _est_m*


//TABLE 7 (TABLE 3 PLUS CONTROLS FROM BECKER ET AL. (2020))

set more off
logit RA_Dum irr_local $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_local) predict(pr) post
est store m1

logit RA_Dum irr_mother $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_mother) predict(pr) post
est store m2

logit RA_Dum irr_father $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_father) predict(pr) post
est store m3

logit RA_Dum irr_father irr_mother irr_local $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(irr_father irr_mother irr_local) predict(pr) post
est store m4

logit RA_Dum Strong_IRRlocal $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(Strong_IRRlocal) predict(pr) post
est store m5

logit RA_Dum Strong_IRRm $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or  
margins, dydx(Strong_IRRm) predict(pr) post
est store m6

logit RA_Dum Strong_IRRf $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1, vce(cluster cntry1) or 
margins, dydx(Strong_IRRf) predict(pr) post
est store m7

logit RA_Dum Strong_IRRlocal Strong_IRRm Strong_IRRf $se_ conf_europe conm_europe $fam_f $fam_m $faL1 $galor3_f $galor3_m std_temporal_dist_f std_temporal_dist_m b1.EduCatM b1.EduCatF b1.empl b1.emplrel i.essround i.cntry1 if second_gen == 1 & cntry!="IL"& L1local==1, vce(cluster cntry1) or
margins, dydx(Strong_IRRlocal Strong_IRRm Strong_IRRf) predict(pr) post
est store m8

estout m1 m2 m3 m4 m5 m6 m7 m8, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels(* 0.1 ** 0.05 *** 0.01)  stats(N r2_p, star(chi2) fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant) posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) order(irr_local irr_mother irr_father Strong_IRRlocal Strong_IRRm Strong_IRRf)
drop _est_m*


**************************************************************************
**************************************************************************
// Mixed couples:  
**************************************************************************

//TABLE 5

logit RA_Dum irr_local b1.EduCatM b1.EduCatF $se_ $fam_m $faL1 conm_europe $galor3_m $galor3_f b1.empl b1.emplrel i.essround if second_m== 1, vce(cluster cntry1) or 
margins, dydx(irr_local) predict(pr) post 
est store m1

set more off 
logit RA_Dum irr_mother b1.EduCatM b1.EduCatF $se_ $fam_m $faL1 conm_europe $galor3_m $galor3_f b1.empl b1.emplrel i.essround if second_m== 1, vce(cluster cntry1) or 
margins, dydx(irr_mother) predict(pr) post
est store m2

logit RA_Dum irr_local irr_mother b1.EduCatM b1.EduCatF $se_ $fam_m $faL1 conm_europe $galor3_m $galor3_f b1.empl b1.emplrel i.essround if second_m== 1, vce(cluster cntry1) or 
margins, dydx(irr_local irr_mother) predict(pr) post 
est store m3

logit RA_Dum irr_local b1.EduCatM b1.EduCatF $se_ $fam_f $faL1 conf_europe $galor3_m $galor3_f b1.empl b1.emplrel i.essround if second_f== 1, vce(cluster cntry1) or 
margins, dydx(irr_local) predict(pr) post 
est store m4


logit RA_Dum irr_father b1.EduCatM b1.EduCatF $se_ $fam_f $faL1 conf_europe $galor3_m $galor3_f b1.empl b1.emplrel i.essround if second_f== 1 , vce(cluster cntry1) or 
margins, dydx(irr_father) predict(pr) post 
est store m5

logit RA_Dum irr_local irr_father b1.EduCatM b1.EduCatF $se_ $fam_f $faL1 conf_europe $galor3_m $galor3_f b1.empl b1.emplrel i.essround if second_f== 1, vce(cluster cntry1) or 
margins, dydx(irr_father irr_local) predict(pr) post
est store m6

estout m1 m2 m3 m4 m5 m6, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels(* 0.1 ** 0.05 *** 0.01)  stats(N r2_p, star(chi2) fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant) posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) 
drop _est_m*

