clear all
set more off

//cd "[choose directory]\wave1\"
 
** 1. merge all modules, all waves (1 included)

*a) Choose implicat method for missing values, we chose method 1 as suggested by SHARE experts
use sharew1_rel7-0-0_gv_imputations,clear
keep if implicat==1
drop if mergeid == "no int w.1"
save sharew1_rel7-0-0_imput1,replace

*b) MERGE: initalize "cv_r"-dataset as the first one from which to start and then append all other modules. Use 1:1 as mergeid should be unique through modules.

use sharew1_rel7-0-0_cv_r, clear
drop if mergeid == "no int w.1"
save wave1_all_modules, replace

qui{
local list "ac as br cf ch co dn ep ex ft gs gv_health gv_housing gv_isced gv_weights hc hh ho imput1 iv mh ph sp ws"
foreach x of local list{
use wave1_all_modules, clear
merge 1:1 mergeid using sharew1_rel7-0-0_`x'
drop _merge
save wave1_all_modules, replace
}
}


use wave1_all_modules, clear

keep if interview==1 //do not consider the dead and non-respondents

keep mergeid slti firstwave bacc as027e as007e as011e  as017e as019_ as021e as023_ chronic adl iadl reading writing ///
numeracy age_int int_year gender mstat ho002_  thinc  hnetw ///
cusmoke  dn006_ language yedu isced ep007_ cjs pwork nchild country bmi2 phactiv wspeed maxgrip otrf ppp* dn004_ dn005c nuts* ep005_ ep051_ ep055_ ep057_ ep058_ br001_ br002_ br003_ br004_ br005d1 br005d2 br005d3 br010_ ///
esmoked esmoked_f drinking drinking_f phinact phinact_f bsmf bsmf_f

sort mergeid

gen wave = 1

save wave1, replace




clear all
set more off

//cd "[choose directory]\wave2\"

*a) Choose implicat method for missing values, we chose method 1 as suggested by SHARE experts
use sharew2_rel7-0-0_gv_imputations,clear
keep if implicat==1
drop if mergeid == "no int w.2"
save sharew2_rel7-0-0_imput1,replace

*b)MERGE: initalize "cv_r"-dataset as the first one from which to start and then append all other modules. Use 1:1 as mergeid should be unique through modules.

use sharew2_rel7-0-0_cv_r, clear
drop if mergeid == "no int w.2"
save wave2_all_modules, replace

qui{
local list "ac as br cf ch co cs dn ep ex ft gs gv_health gv_housing gv_isced gv_weights hc hh ho imput1 iv mh pf ph sp ws xt"
foreach x of local list{
use wave2_all_modules, clear
merge 1:1 mergeid using sharew2_rel7-0-0_`x'
drop _merge
save wave2_all_modules, replace
}
}


use wave2_all_modules, clear
keep if interview==1 //do not consider the dead and non-respondents

keep mergeid slti firstwave bacc as027e as007e as063_ as011e  as017e as019_ as021e as023_ chronic adl iadl reading writing numeracy ex026_ age_int int_year gender mstat ho002_ as068_ thinc pppc2007 hnetw ///
cusmoke pf003_ pf004_ dn006_ language yedu isced empstat ep007_ cjs pwork nchild hhid2 country bmi2 phactiv wspeed maxgrip otrf ppp* dn004_ dn005c nuts* ///
ep005_ ep051_ ep055_ ep057_ ep058_ ep054_ br001_ br002_ br003_ br005d1 br005d2 br005d3 br022_ br010_ br021_ br019_ br020_ esmoked esmoked_f drinking drinking_f phinact phinact_f bsmf bsmf_f

*risk aversion (this here because variable name has changes from wave 2 to wave 5, measurement is the same)
rename as068_ RA
replace RA=. if RA<0

gen hhid=hhid2
sort mergeid

gen wave=2

save wave2, replace




clear all
set more off

//cd "[choose directory]\wave4\"

*a) Choose implicat method for missing values
use sharew4_rel7-0-0_gv_imputations,clear
keep if implicat==1
save sharew4_rel7-0-0_imput1,replace

*b)MERGE: initalize "cv_r"-dataset as the first one from which to start and then append all other modules. Use 1:1 as mergeid should be unique through modules.

use sharew4_rel7-0-0_cv_r, clear
drop if mergeid == "no int w.4"
save wave4_all_modules, replace

qui{
local list "ac as br cf ch co dn ep ex ft gs gv_health gv_housing gv_isced gv_weights hc hh ho imput1 iv mh ph sp xt" //added ac
foreach x of local list{
use wave4_all_modules, clear
merge 1:1 mergeid using sharew4_rel7-0-0_`x'
drop _merge 
save wave4_all_modules, replace
}
}
use wave4_all_modules, replace
keep if interview==1 //do not consider the dead and non-respondents

keep mergeid slti firstwave bacc as027e as007e as063_ as011e  as017e as019_ as021e as023_ chronic adl iadl reading writing numeracy ex026_ age_int int_year gender mstat otrf ex110_ thinc hnetw ///
br001_ br002_ br022_ dn006_ language yedu isced empstat ep007_ cjs pwork nchild country bmi2 phactiv maxgrip otrf ppp* dn004_ dn005c hhid4 nuts* ///
ep005_ ep051_ ep055_ ep054_ br001_ br002_ br003_ br022_ br031_ br032_ br019_ br023_ br024_ br030_ br010_ br021_ esmoked esmoked_f drinking drinking_f phinact phinact_f bsmf bsmf_f

rename ex110_ RA
replace RA=. if RA<0

gen hhid=hhid4

gen wave = 4

sort mergeid

save wave4, replace





clear all
set more off

//cd "[choose directory]\wave5\"

*a) Choose implicat method for missing values
use sharew5_rel7-0-0_gv_imputations,clear
keep if implicat==1
save sharew5_rel7-0-0_imput1,replace

*b)MERGE: initalize "cv_r"-dataset as the first one from which to start and then append all other modules. Use 1:1 as mergeid should be unique through modules.

use sharew5_rel7-0-0_cv_r, clear
drop if mergeid == "no int w.5"
save wave5_all_modules, replace

qui{
local list "ac as br cf ch co cs dn ep ex ft gs gv_health gv_housing gv_isced gv_weights hc hh ho imput1 it iv mc mh ph sp xt" //added ac
foreach x of local list{
use wave5_all_modules, clear
merge 1:1 mergeid using sharew5_rel7-0-0_`x'
drop _merge 
save wave5_all_modules, replace
}
}
use wave5_all_modules, replace
keep if interview==1 

keep mergeid slti firstwave bacc as027e as007e as063_ as011e  as017e as019_ as021e as023_ chronic adl iadl reading writing numeracy ex026_ age_int int_year gender mstat otrf ex110_ thinc pppc2013 hnetw ///
br001_ br002_ br022_ dn006_ dn504c dn505c language yedu isced empstat ep007_ cjs pwork nchild hhid5 country bmi2 phactiv maxgrip isced1997_f isced1997_m otrf ppp* dn004_ dn005c nuts* ///
ep005_ ep051_ ep054_ br001_ br002_ br003_ br022_ br031_ br032_ br019_ br023_ br024_ br035_ br010_ br021_ esmoked esmoked_f drinking drinking_f phinact phinact_f bsmf bsmf_f

rename ex110_ RA
replace RA=. if RA<0

gen hhid=hhid5

gen wave = 5

sort mergeid

save wave5, replace




clear all
set more off

//cd "[choose directory]\wave6\"

*a) Choose implicat method for missing values
use sharew6_rel7-0-0_gv_imputations,clear
keep if implicat==1
save sharew6_rel7-0-0_imput1,replace

*b)MERGE: initalize "cv_r"-dataset as the first one from which to start and then append all other modules. Use 1:1 as mergeid should be unique through modules.

use sharew6_rel7-0-0_cv_r, clear
drop if mergeid == "no int w.6"
save wave6_all_modules, replace

qui{
local list "ac as br bs cf ch co cv_r dn ep ex ft gs gv_children gv_dbs gv_health gv_housing gv_isced gv_networks gv_weights hc hh ho imput1 it iv mh pf sn ph sp xt" //added ac
foreach x of local list{
use wave6_all_modules, clear
merge 1:1 mergeid using sharew6_rel7-0-0_`x'
drop _merge 
save wave6_all_modules, replace
}
}
use wave6_all_modules, replace
keep if interview==1 

keep mergeid slti firstwave bacc as027e as007e as063_ as011e  as017e as019_ as021e as023_ chronic adl iadl reading writing numeracy ex026_ age_int int_year gender mstat otrf ex110_ thinc pppc2014 pppc2015 hnetw ///
br001_ br002_ dn006_ dn504c dn505c language yedu isced empstat ep007_ cjs pwork nchild hhid6 country bmi2 phactiv maxgrip isced1997_f isced1997_m otrf ppp* dn004_ dn005c nuts* ///
ep005_ ep051_ ep054_ br001_ br002_ br003_ br005d1 br005d2 br005d3 br005d4 br623_ br039_ br040_ esmoked esmoked_f phinact phinact_f bsmf bsmf_f
 
rename ex110_ RA
replace RA=. if RA<0

gen hhid=hhid6

gen wave = 6

sort mergeid

save wave6, replace




** append for the pool ** 

clear all

set more off 

//cd "[choose directory]"

use wave1_add, clear

append using wave2_add.dta

append using wave4_add.dta 

append using wave5_add.dta

append using wave6_add.dta

save SHARE_pool_Bernhofer_Costantini_Kovacic.dta, replace


