
clear
set more off

//cd "[choose directory]" 

u SHARE_regressions_Bernhofer_Costantini_Kovacic.dta, clear


********************************************************************************************
* 1. Second-generation immigrants: native individuals with one or both parents born abroad *
********************************************************************************************

gen second_imm_f = 0
replace second_imm_f = 1 if country_s != country_of_birth_father_s & country_of_birth_father_s != "" & born == 1
gen second_imm_m = 0 
replace second_imm_m = 1 if country_s != country_of_birth_mother_s & country_of_birth_mother_s != "" & born == 1
gen second_imm = 0
replace second_imm = 1 if second_imm_f == 1 | second_imm_m == 1 // **

********************************************************************************************
* 2. Second-generation immigrants: mixed couples                                           *
********************************************************************************************

gen second_mix_f = 0 
replace second_mix_f = 1 if country_s != country_of_birth_father_s & country_s == country_of_birth_mother_s & country_of_birth_father_s != "" & country_of_birth_mother_s != "" & born == 1
gen second_mix_m = 0
replace second_mix_m = 1 if country_s != country_of_birth_mother_s & country_s == country_of_birth_father_s & country_of_birth_mother_s != "" & country_of_birth_father_s != "" & born == 1
gen second_mix = 0
replace second_mix = 1 if second_mix_f == 1 | second_mix_m == 1


**** merge Galor and Özak (2016) with SHARE****

merge m:m wcode using SHARE_galor.dta
drop if _m == 2
drop _merge

merge m:m wcodef using SHARE_galor_f.dta
drop if _m == 2
drop _m

merge m:m wcodem using SHARE_galor_m.dta
drop if _m == 2
drop _m


drop wcode

gen wcode = ""
replace wcode = "AUT" if country == 11
replace wcode = "DEU" if country == 12
replace wcode = "SWE" if country == 13
replace wcode = "NLD" if country == 14
replace wcode = "ESP" if country == 15
replace wcode = "ITA" if country == 16
replace wcode = "FRA" if country == 17
replace wcode = "DNK" if country == 18
replace wcode = "GRC" if country == 19
replace wcode = "CHE" if country == 20
replace wcode = "BEL" if country == 23
replace wcode = "ISR" if country == 25
replace wcode = "CZE" if country == 28
replace wcode = "POL" if country == 29
replace wcode = "IRL" if country == 30
replace wcode = "LUX" if country == 31
replace wcode = "HUN" if country == 32
replace wcode = "PRT" if country == 33
replace wcode = "SVN" if country == 34
replace wcode = "EST" if country == 35
replace wcode = "HRV" if country == 47

sort wcode

merge m:m wcode using SHARE_galor_country.dta
drop if _m == 2
drop _m

replace IrrealisM = Irrealis if country_s == country_of_birth_mother_s // native mother
replace IrrealisF = Irrealis if country_s == country_of_birth_father_s // native father

encode Continent_father, gen(conf) // continent origin father
encode Continent_mother, gen(conm) // continent origin mother
ta famF, gen(fF)  // linguistic family father
ta famM, gen(fM)  // linguistic family mother

* education parents

ta EduCatF, gen(eduF) // highest educational attainment father
ta EduCatM, gen(eduM) // highest educational attainment mother

* replacement linguistic families for parents born in the country of interview

replace fM1 = f1 if country_s == country_of_birth_mother_s              // linguistic family mother
replace fM2 = f2 if country_s == country_of_birth_mother_s 
replace fM3 = f3 if country_s == country_of_birth_mother_s 
replace fF1 = f1 if country_s == country_of_birth_father_s              // linguistic family father
replace fF2 = f2 if country_s == country_of_birth_father_s 
replace fF3 = f3 if country_s == country_of_birth_father_s 
replace conm = 4 if country_s == country_of_birth_mother_s              // continent mother
replace conf = 4 if country_s == country_of_birth_father_s              // continent father

gen europe_m = 0     // mother europe
replace europe_m = 1 if conm == 4
replace europe_m = . if conm == .

gen europe_f = 0     // father europe
replace europe_f = 1 if conf == 4
replace europe_f = . if conf == .


* replacement Galor and Özak (2016) for parents born in the country of interview

replace nabslat2 = nabslatc if country_s == country_of_birth_mother_s 
replace nelevavg2 = nelevavgc if country_s == country_of_birth_mother_s 
replace nrough2 = nroughc if country_s == country_of_birth_mother_s 
replace ndistcr2 = ndistcrc if country_s == country_of_birth_mother_s 
replace nlandlocked2 = nlandlockedc if country_s == country_of_birth_mother_s 
replace nkgatr2 = nkgatrc if country_s == country_of_birth_mother_s 
replace nyst2 = nystc if country_s == country_of_birth_mother_s 
replace opten0lomean1500_aa2 = opten0lomean1500_aac if country_s == country_of_birth_mother_s 
replace ndife22 = ndife2c if country_s == country_of_birth_mother_s 
replace optencycle0lomean1500nc_aa2 = optencycle0lomean1500nc_aac if country_s == country_of_birth_mother_s 
replace ndifc2 = ndifcc if country_s == country_of_birth_mother_s 

replace nabslat1 = nabslatc if country_s == country_of_birth_father_s 
replace nelevavg1 = nelevavgc if country_s == country_of_birth_father_s
replace nrough1 = nroughc if country_s == country_of_birth_father_s 
replace ndistcr1 = ndistcrc if country_s == country_of_birth_father_s 
replace nlandlocked1 = nlandlockedc if country_s == country_of_birth_father_s 
replace nkgatr1 = nkgatrc if country_s == country_of_birth_father_s 
replace nyst1 = nystc if country_s == country_of_birth_father_s 
replace opten0lomean1500_aa1 = opten0lomean1500_aac if country_s == country_of_birth_father_s 
replace ndife21 = ndife2c if country_s == country_of_birth_father_s 
replace optencycle0lomean1500nc_aa1 = optencycle0lomean1500nc_aac if country_s == country_of_birth_father_s 
replace ndifc1 = ndifcc if country_s == country_of_birth_father_s 



**** Becker et al. (2020) ancestral distances

sort country_s
egen falk_distances_f = concat(country_s country_of_birth_father_s)
egen falk_distances_m = concat(country_s country_of_birth_mother_s)

** father

merge m:m falk_distances_f using SHARE_ancestral_merge_f.dta
ta _m 
keep if _m != 2
drop _m

** mother

merge m:m falk_distances_m using SHARE_ancestral_merge_m.dta
ta _m 
keep if _m != 2
drop _m

sort mergeid 
replace std_temporal_dist_m = 0 if std_temporal_dist_f != . & std_temporal_dist_m == .
replace std_temporal_dist_f = 0 if std_temporal_dist_m != . & std_temporal_dist_f == .

replace std_lingdist_f = 0 if std_lingdist_m !=. & std_lingdist_f == . & country_of_birth_father != .
replace std_lingdist_m = 0 if std_lingdist_f !=. & std_lingdist_m == . & country_of_birth_mother != .
replace std_new_gendist_f = 0 if std_new_gendist_m !=. & std_new_gendist_f == . & country_of_birth_father != .
replace std_new_gendist_m = 0 if std_new_gendist_f !=. & std_new_gendist_m == . & country_of_birth_mother != .


* additional IRR categorizations

gen IrrealisF0 = (IrrealisF == 0)
replace IrrealisF0 = . if IrrealisF == . 
gen IrrealisF2 = (IrrealisF == 2)
replace IrrealisF2 = . if IrrealisF == . 
gen IrrealisF3 = (IrrealisF == 3)
replace IrrealisF3 = . if IrrealisF == . 
gen IrrealisF4 = (IrrealisF == 4)
replace IrrealisF4 = . if IrrealisF == . 
gen IrrealisF6 = (IrrealisF == 6)
replace IrrealisF6 = . if IrrealisF == . 


gen IrrealisM0 = (IrrealisM == 0)
replace IrrealisM0 = . if IrrealisM == . 
gen IrrealisM2 = (IrrealisM == 2)
replace IrrealisM2 = . if IrrealisM == . 
gen IrrealisM3 = (IrrealisM == 3)
replace IrrealisM3 = . if IrrealisM == . 
gen IrrealisM4 = (IrrealisM == 4)
replace IrrealisM4 = . if IrrealisM == . 
gen IrrealisM6 = (IrrealisM == 6)
replace IrrealisM6 = . if IrrealisM == . 


gen Strong_IRRF = .
replace Strong_IRRF = 1 if IrrealisF == 4
replace Strong_IRRF = 1 if IrrealisF == 6
replace Strong_IRRF = 0 if IrrealisF == 0
replace Strong_IRRF = 0 if IrrealisF == 2
replace Strong_IRRF = 0 if IrrealisF == 3

gen Strong_IRRM = .
replace Strong_IRRM = 1 if IrrealisM == 4
replace Strong_IRRM = 1 if IrrealisM == 6
replace Strong_IRRM = 0 if IrrealisM == 0
replace Strong_IRRM = 0 if IrrealisM == 2
replace Strong_IRRM = 0 if IrrealisM == 3


***********
* GLOBALS *
***********

global se_ AgeCat Female b1.EduCat HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing b2.CJ // socio-economic
global edu_p eduM3 eduF3 // parental education

**** globals for Galor and Özak (2016) ****

global galor0_f nopten0lomean1 noptencycle0lomean1 nopten0lomean_aa1 noptencycle0lomean_aa1 // country origin father
global galor1_f nabslat1 nelevavg1 nrough1 ndistcr1 nlandlocked1 nkgatr1 nprecip1 ntemp nyst1 
global galor2_f nabslat1 nelevavg1 nrough1 ndistcr1 nlandlocked1 nkgatr1 nyst1 nopten0lomean1 noptencycle0lomean1 
global galor3_f nabslat1 nelevavg1 nrough1 ndistcr1 nlandlocked1 nkgatr1 nyst1 opten0lomean1500_aa1 ndife21 optencycle0lomean1500nc_aa1 ndifc1 

global galor0_m nopten0lomean2 noptencycle0lomean2 nopten0lomean_aa2 noptencycle0lomean_aa2 // country origin mother
global galor1_m nabslat2 nelevavg2 nrough2 ndistcr2 nlandlocked2 nkgatr2 nprecip2 ntemp nyst2 
global galor2_m nabslat2 nelevavg2 nrough2 ndistcr2 nlandlocked2 nkgatr2 nyst2 nopten0lomean2 noptencycle0lomean2 
global galor3_m nabslat2 nelevavg2 nrough2 ndistcr2 nlandlocked2 nkgatr2 nyst2 opten0lomean1500_aa2 ndife22 optencycle0lomean1500nc_aa2 ndifc2



* FIGURE 1
graph set window fontface "Times New Roman"

hist Irrealis if second_imm == 1 & Irrealis != . & RA != ., bcolor(gs4) barw(0.7) graphregion(color(gs15)) percent discrete xlabel(0(1)6) addlabels ///
addlabopts(yvarformat(%4.2f)) ylabel(0(10)50) xtitle("IRR") ytitle("%") ///
title("IRR (SHARE data)", margin(b+2.5) color(black))
* FIGURE 2
hist IrrealisM if second_imm == 1 & Irrealis !=. & IrrealisM !=. & RA != ., bcolor(gs4) barw(0.7) graphregion(color(gs15)) percent discrete xlabel(0(1)6) addlabels ///
addlabopts(yvarformat(%4.2f)) ylabel(0(10)55) xtitle("IRR") ytitle("%") ///
title("Mother IRR (SHARE data)", margin(b+2.5) color(black))
* FIGURE 3
hist IrrealisF if second_imm == 1 & Irrealis !=. & IrrealisF !=. & RA != ., bcolor(gs4) barw(0.7) graphregion(color(gs15)) percent discrete xlabel(0(1)6) addlabels ///
addlabopts(yvarformat(%4.2f)) ylabel(0(10)55) xtitle("IRR") ytitle("%") ///
title("Father IRR (SHARE data)", margin(b+2.5) color(black))

* TABLE 1, secton 3.1

latab RA_Cat Cat_IRR if second_imm == 1 & Irrealis !=. & RA != ., row dec(2) 

* TABLE 14: summary statistics, part 1 (calculated on non-missing observations from Table 4)

sutex RA Strong_RA Irrealis0 Irrealis2 Irrealis3 Irrealis4 Irrealis6 Cat_IRR0 Cat_IRR1 Cat_IRR2 Strong_IRR IrrealisF0 IrrealisF2 IrrealisF3 IrrealisF4 IrrealisF6 ///
IrrealisM0 IrrealisM2 IrrealisM3 IrrealisM4 IrrealisM6 HHIncCatCon owner Edu0 Edu1 Edu2 trust HHMarStatus ///
HHNumChild AgeCat Female selfemployed CJ1 CJ2 CJ3 CJ4 CJ5 adl iadl reading writing chronic eduM1 eduM2 eduM3 eduF1 eduF2 eduF3 if country != . & RA !=. & ///
Irrealis != . & AgeCat != . & Female != . & EduCat != . & HHIncCatCon != . & owner !=. & HHMarStatus !=. & HHNumChild != . & ///
trust != .& adl != . & iadl !=. & chronic != . & reading != . & writing != . & CJ !=. & ///
nabslat2 !=. & nelevavg2 !=. & nrough2 !=. & ndistcr2 !=. & nlandlocked2 !=. & nkgatr2 !=. & nyst2 !=. & opten0lomean1500_aa2 !=. & ndife22 !=. & optencycle0lomean1500nc_aa2 !=. & ndifc2 !=. & ///
nabslat1 !=. & nelevavg1 !=. & nrough1 !=. & ndistcr1 !=. & nlandlocked1 !=. & nkgatr1 !=. & nyst1 !=. & opten0lomean1500_aa1 !=. & ndife21 !=. & optencycle0lomean1500nc_aa1 !=. & ndifc1 !=. & ///
second_imm == 1 & country != 33 & country != 29 & country != 15 & country != 16 & country != 19 & eduM3 != . & eduF3 != . & europe_m !=. & europe_f !=. & f1 !=. & fM1 !=. & fF1 !=. , lab nobs ///
title("Summary statistics") minmax


***************
**REGRESSIONS**
***************

** NOTE1: some countries have very few second-generation immigrants (with a valid information on risk aversion and parental IRR). 
**       The inclusion of these countries together with all the other explanatory and control variables, generates multi-collinearities. They are, hence, excluded from the analysis.

keep if country != 33 // Portugal (very few second-generation immigrants -> 2)
keep if country != 29 // Poland   (very few second-generation immigrants -> 16)
keep if country != 15 // Spain    (very few second-generation immigrants -> 50)
keep if country != 19 // Greece   (very few second-generation immigrants -> 77)
keep if country != 16 // Italy    (very few second-generation immigrants -> 82)

** NOTE2: country and wave fixed effects are not combined, rather they are considered separately. This is due to the fact that many "country x wave" couples had very few observations
**        which generates multicollinearity. This is particularly relevant for regressions with relatively few observations (Table 10, Table 11).

* TABLE 4

set more off
logit Strong_RA Irrealis $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country) 
margins, dydx(Irrealis AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m1
logit Strong_RA IrrealisM $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country) 
margins, dydx(IrrealisM AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m2
logit Strong_RA IrrealisF $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country) 
margins, dydx(IrrealisF AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m3
logit Strong_RA IrrealisM IrrealisF Irrealis $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(IrrealisM IrrealisF Irrealis AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m4
logit Strong_RA Strong_IRR $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country) 
margins, dydx(Strong_IRR AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m5
logit Strong_RA Strong_IRRM $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country) 
margins, dydx(Strong_IRRM AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m6
logit Strong_RA Strong_IRRF $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country) 
margins, dydx(Strong_IRRF AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m7
logit Strong_RA Strong_IRRM Strong_IRRF Strong_IRR $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p i.country i.wave if second_imm == 1, cluster(country) 
margins, dydx(Strong_IRRM Strong_IRRF Strong_IRR AgeCat Female EduCat HHIncCatCon owner HHMarStatus HHNumChild trust CJ selfemployed adl iadl chronic) predict(pr) post
est store m8
estout m1 m2 m3 m4 m5 m6 m7 m8, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels(* 0.1 ** 0.05 *** 0.01)  stats(N r2_p, star(chi2) fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant) posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) 
drop _est_m1 _est_m2 _est_m3 _est_m4 _est_m5 _est_m6 _est_m7 _est_m8

* TABLE 6

set more off
logit Strong_RA Irrealis $se_  selfemployed europe_m f1 fM1 $galor3_f $galor3_m $edu_p i.wave if second_mix_m == 1, cluster(country)  
margins, dydx(Irrealis) predict(pr) post
est store m1
logit Strong_RA IrrealisM $se_ selfemployed europe_m f1 fM1 $galor3_f $galor3_m $edu_p i.wave if second_mix_m == 1, cluster(country)  
margins, dydx(IrrealisM) predict(pr) post
est store m2
logit Strong_RA IrrealisM Irrealis $se_ selfemployed europe_m f1 fM1 $galor3_f $galor3_m $edu_p i.wave if second_mix_m == 1, cluster(country)   
margins, dydx(IrrealisM Irrealis) predict(pr) post
est store m3
logit Strong_RA Irrealis $se_ selfemployed europe_f f1 fF1 $galor3_f $galor3_m $edu_p  i.wave if second_mix_f == 1, cluster(country)  
margins, dydx(Irrealis) predict(pr) post
est store m4
logit Strong_RA IrrealisF $se_ selfemployed europe_f f1 fF1 $galor3_f $galor3_m $edu_p  i.wave if second_mix_f == 1, cluster(country)  
margins, dydx(IrrealisF) predict(pr) post
est store m5
logit Strong_RA IrrealisF Irrealis $se_ selfemployed europe_f f1 fF1 $galor3_f $galor3_m $edu_p  i.wave if second_mix_f == 1, cluster(country)   
margins, dydx(IrrealisF Irrealis) predict(pr) post
est store m6
estout m1 m2 m3 m4 m5 m6, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels( ** 0.05 *** 0.01)  stats(N r2_p, star(chi2) fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant) posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) 
drop _est_m1 _est_m2 _est_m3 _est_m4 _est_m5 _est_m6


* TABLE 8

set more off
logit Strong_RA Irrealis $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(Irrealis ) predict(pr) post
est store m1
logit Strong_RA IrrealisM $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(IrrealisM ) predict(pr) post
est store m2
logit Strong_RA IrrealisF $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(IrrealisF ) predict(pr) post
est store m3
logit Strong_RA IrrealisM IrrealisF Irrealis $se_ selfemployed  europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)   
margins, dydx(IrrealisM IrrealisF Irrealis ) predict(pr) post
est store m4
logit Strong_RA Strong_IRR $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(Strong_IRR ) predict(pr) post
est store m5
logit Strong_RA Strong_IRRM $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(Strong_IRRM ) predict(pr) post
est store m6
logit Strong_RA Strong_IRRF $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(Strong_IRRF ) predict(pr) post
est store m7
logit Strong_RA Strong_IRRM Strong_IRRF Strong_IRR $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(Strong_IRRM Strong_IRRF Strong_IRR ) predict(pr) post
est store m8
estout m1 m2 m3 m4 m5 m6 m7 m8, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels(* 0.1 ** 0.05 *** 0.01)  stats(N r2_p, star(chi2) fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant) posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) 
drop _est_m1 _est_m2 _est_m3 _est_m4 _est_m5 _est_m6 _est_m7 _est_m8


* TABLE 9

set more off
logit esmoked IrrealisM IrrealisF Irrealis $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)   
margins, dydx(IrrealisM IrrealisF Irrealis ) predict(pr) post
est store m1
logit esmoked Strong_IRRM Strong_IRRF Strong_IRR $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(Strong_IRRM Strong_IRRF Strong_IRR ) predict(pr) post
est store m2
logit drinking_most_week IrrealisM IrrealisF Irrealis  $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(IrrealisM IrrealisF Irrealis ) predict(pr) post
est store m3
logit drinking_most_week Strong_IRRM Strong_IRRF Strong_IRR  $se_ selfemployed europe_m europe_f f1 fM1 fF1 $galor3_f $galor3_m $edu_p std_temporal_dist_m std_temporal_dist_f i.country i.wave if second_imm == 1, cluster(country)  
margins, dydx(Strong_IRRM Strong_IRRF Strong_IRR ) predict(pr) post
est store m4
estout m1 m2 m3 m4, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels(* 0.1 ** 0.05 *** 0.01)  stats(N r2_p, star(chi2) fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant) posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) 
drop _est_m1 _est_m2 _est_m3 _est_m4 




** IV with second-generation immigrants, all controls included


ta EduCat, gen(ed)
ta CJ, gen(cj)
ta country, gen(c)
ta wave, gen(w)

* TABLE 10 

preserve
keep if second_imm == 1
set more off
ivreg2 hasstocks (Strong_RA = Irrealis) $galor3_f $galor3_m selfemployed IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 std_temporal_dist_m std_temporal_dist_f ///
AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing ///
cj1 cj3 cj4 cj5 c2 c3 c4 c5  c7  c9 c10   c13 c14 w2 w3 w4, endog (Strong_RA) robust cluster(country) first savefprefix(IV1_ML)
set more off
ivreg2 hasstocks (Strong_RA = Irrealis) Strong_FTR $galor3_f $galor3_m selfemployed IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 std_temporal_dist_m std_temporal_dist_f ///
AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing ///
cj1 cj3 cj4 cj5 c2 c3 c4 c5  c7  c9 c10   c13 c14 w2 w3 w4, endog (Strong_RA) robust cluster(country) first savefprefix(IV2_ML)
set more off
ivreg2 hasstocks (Strong_RA = Strong_IRR) $galor3_f $galor3_m selfemployed IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 std_temporal_dist_m std_temporal_dist_f ///
AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing ///
cj1 cj3 cj4 cj5 c2 c3 c4 c5  c7  c9 c10   c13 c14 w2 w3 w4, endog (Strong_RA) robust cluster(country) first savefprefix(IV3_ML)
set more off
ivreg2 hasstocks (Strong_RA = Strong_IRR) Strong_FTR $galor3_f $galor3_m selfemployed IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 std_temporal_dist_m std_temporal_dist_f ///
AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing ///
cj1 cj3 cj4 cj5 c2 c3 c4 c5  c7  c9 c10   c13 c14 w2 w3 w4, endog (Strong_RA) robust cluster(country) first savefprefix(IV4_ML)
estout IV1_MLStrong_RA IV2_MLStrong_RA IV3_MLStrong_RA IV4_MLStrong_RA, ///
cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels(* 0.1 ** 0.05 *** 0.01)   stats(N j jp idstat idp , fmt(%9.0g %9.3f)) ///
label legend varlabels(_cons Constant Strong_RA RiskAversion) ///
posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) 
restore

* TABLE 11

preserve
keep if second_imm == 1 
set more off
biprobit (hasstocks Strong_RA $galor3_f $galor3_m selfemployed std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave) ///
         (Strong_RA  $galor3_f $galor3_m selfemployed std_temporal_dist_m std_temporal_dist_f Irrealis IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave), cluster(country)
margins, dydx(Strong_RA owner HHIncCatCon ed1 ed3 HHMarStatus HHNumChild AgeCat Female cj1 cj3 cj4 cj5 selfemployed trust) predict(pmarg1) post force 
est store m1
probit hasstocks Strong_FTR $galor3_f $galor3_m selfemployed std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave if Strong_RA != ., cluster(country)
margins, dydx(Strong_FTR owner HHIncCatCon ed1 ed3 HHMarStatus HHNumChild AgeCat Female cj1 cj3 cj4 cj5 selfemployed trust) post 
est store m2
biprobit (hasstocks Strong_RA Strong_FTR selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave) ///
         (Strong_RA Strong_FTR selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f Irrealis IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave), cluster(country) 
margins, dydx(Strong_RA Strong_FTR owner HHIncCatCon ed1 ed3 HHMarStatus HHNumChild AgeCat Female cj1 cj3 cj4 cj5 selfemployed trust) predict(pmarg1) post force 
est store m3
biprobit (hasstocks Strong_RA selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave) ///
         (Strong_RA selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f Strong_IRR IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave), cluster(country) 
margins, dydx(Strong_RA owner HHIncCatCon ed1 ed3 HHMarStatus HHNumChild AgeCat Female cj1 cj3 cj4 cj5 selfemployed trust) predict(pmarg1) post force 
est store m4
biprobit (hasstocks Strong_RA Strong_FTR selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave) ///
         (Strong_RA Strong_FTR selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f Strong_IRR IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave), cluster(country) 
margins, dydx(Strong_RA Strong_FTR owner HHIncCatCon ed1 ed3 HHMarStatus HHNumChild AgeCat Female cj1 cj3 cj4 cj5 selfemployed trust) predict(pmarg1) post force 
est store m5
estout m1 m2 m3 m4 m5, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels( * 0.1 ** 0.05 *** 0.01)  stats(N  , fmt(%9.0g %9.3f))  ///
label  legend  varlabels(_cons Constant Strong_RA RiskAversion)  ///
posthead("") prefoot("") postfoot(" ") varwidth(16)  style(tex) 
restore

** TABLE 12

preserve
keep if second_imm == 1 
set more off
probit hasstocks Strong_RA selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave, cluster(country) 
margins, dydx(Strong_RA) predict(pr) post 
est store m1
probit hasstocks Strong_FTR selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave if Strong_RA!=., cluster(country)
margins, dydx(Strong_FTR) predict(pr) post  
est store m2
probit hasstocks Strong_RA Strong_FTR selfemployed $galor3_f $galor3_m std_temporal_dist_m std_temporal_dist_f IrrealisM IrrealisF europe_m europe_f fM1 fF1 f1 eduM3 eduF3 AgeCat Female ed1 ed3 HHIncCatCon owner HHMarStatus HHNumChild trust adl iadl chronic reading writing cj1 cj3 cj4 cj5 i.country i.wave, cluster(country)
margins, dydx(Strong_RA Strong_FTR) predict(pr) post
est store m3
estout m1 m2 m3, cells(b(star fmt(%9.3f) label(Coeff.)) se (par))  starlevels( * 0.1 ** 0.05 *** 0.01)  stats(N  , fmt(%9.0g %9.3f))  ///
label  legend  varlabels(_cons Constant Strong_RA RiskAversion)  ///
posthead("") prefoot("") postfoot(" ") varwidth(16) style(tex) 
restore

		 
		 
		 
